@charset "utf-8";

/* ---------- Variables ---------- */

:root {
    --font-family: 'Merriweather', serif;
}

/* ---------- Setup ---------- */

*,
*:before,
*:after {
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}

body,
html {
    margin: 0;
    padding: 0;
    min-height: 100%;
    overflow-x: hidden;
}

body {
    font-family: var(--font-family);
    background-color: #fff;
    background:#f5f5f5 url(https://lodgeofhospitality8325.com/wp-content/themes/Lodge%20of%20Hospitality/_assets/img/paper_fibers.png) repeat;
    color: #000;
    line-height: 1.4;
    border-top: 5px solid #000;
}

.site-page {}

.site-header {}

.site-footer {}

.wrap {
    margin: 0 auto;
    max-width: 1024px;
}

/* ---------- Preloader ---------- */

.js .loading::before {
    content: '';
    position: fixed;
    z-index: 100000;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: #fff;
}

.js .loading::after {
    content: '';
    position: fixed;
    z-index: 100000;
    top: 50%;
    left: 50%;
    width: 60px;
    height: 60px;
    margin: -30px 0 0 -30px;
    pointer-events: none;
    border-radius: 50%;
    opacity: 0.4;
    background: #000;
    -webkit-animation: loaderAnim 0.7s linear infinite alternate forwards;
    animation: loaderAnim 0.7s linear infinite alternate forwards;
}

@-webkit-keyframes loaderAnim {
    to {
        opacity: 1;
        -webkit-transform: scale3d(0.5, 0.5, 1);
        transform: scale3d(0.5, 0.5, 1);
    }
}

@keyframes loaderAnim {
    to {
        opacity: 1;
        -webkit-transform: scale3d(0.5, 0.5, 1);
        transform: scale3d(0.5, 0.5, 1);
    }
}

/* ---------- Typography ---------- */


.site-header,
.site-footer,
.section {
    padding: 5rem;
    text-align: center;
}

@media all and (max-width:640px){
    .site-header,
    .site-footer,
    .section {
        padding: 2.5rem;
    }
}

.section > h2 {
    margin-top: 0;
}

.border-top {
    border-top: 1px dotted rgba(0, 0, 0, 0.4);
}

.social-feeds {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-between;
    align-content: flex-start;
    align-items: flex-start;
    padding: 5rem auto;
}

.social-feeds__feed {
    flex-basis: 45%;
}

/* ---------- Gallery ---------- */

.masonry-with-columns {
    columns: 3 auto;
    column-gap: 2rem;
}

.masonry-with-columns div {
    width: 100%;
    margin: 0 1rem 1rem 0;
    display: inline-block;
    width: 100%;
    text-align: center;
}

.masonry-with-columns div img {
    max-width: 100%;
    margin: 0 auto;
    display: block;
    border: 0;
}

@media all and (max-width:640px){
    .masonry-with-columns {
        columns: 2 auto;
        column-gap: 1rem;
    }
}

/* ---------- Site Social ---------- */

.site-social {
    margin: 2rem 0;
}

.site-social__list {
    margin: 0;
    padding: 0;
    list-style: none;
}

.site-social__list-item {
    margin: 0 .25rem;
    display: inline-block;
    height: 30px;
    width: 30px;
    text-align: center;
    line-height: 30px;
    border-radius: 50%;
    background: #000;
    color: #fff;
}

.site-social__list-link {
    text-decoration: none;
    color: #fff;
}

.site-social__list-link > i {
    color: #fff;
    vertical-align: middle;
    text-align: center;
    display: block;
    line-height: 30px;
}

/* ---------- Site Social ---------- */

.footer__navigation {
    margin: 2rem 0;
}

.footer-navigation__list {
    margin: 0;
    padding: 0;
    list-style: none;
}

.footer-navigation__list-item {
    margin: 0;
    padding: 0;
    display: inline-block;
    font-size: 0.8rem;
}

.footer-navigation__list-item:not(:last-child)::after {
    content: '|';
    margin: 0 .25rem;
    display: inline-block;
    vertical-align: middle;
}

@media all and (max-width:640px){
    .footer-navigation__list-item { display:block }
    .footer-navigation__list-item:after { display:none !important; }
    
}

.footer-navigation__list-link {
    color: #000;
}

.site-newsletter p:first-of-type {
    margin-bottom: 0;
}

.privacy-note {
    margin: 25px 0 50px 0;
    font-size: 0.8rem;
}

.copyright-note {
    margin: 2rem 0;
    opacity: 0.5;
    font-size: 0.8rem;
}

/* ---------- Mail chimp Form ---------- */

#mailchimp {
    margin: 50px 0 25px 0;
}

#mailchimp input {
    border: 1px solid black;
    outline: 0;
}

#mailchimp button {
    border: 0;
    outline: 0;
    background: #000;
    color: #fff;
}

#mailchimp input,
#mailchimp button {
    margin: 0 5px;
    font-family: var(--font-family);
    padding: 1rem;
}

#response {
    font-size: 2rem;
    font-weight: 700;
    padding: 2rem;
    border: 1px solid #000;
    display: none;
}

@media all and (max-width:640px){
    #mailchimp input, #mailchimp button {
        display:block;
        width:100%;
        max-width:100%;
        margin:0 0 1em 0;
    }
    #response {
        font-size: 1.4rem;
    }
}

/* ---------- Images ---------- */

.site-newsletter img,
.site-logo img {
    margin: 0 auto;
    width: 100%;
    height: auto;
    border: 0;
    outline: 0;
    max-width: 360px;
}


/* ---------- Typography ---------- */

h1 {
    font-size: 3rem;
}

h2 {
    font-size: 2rem;
}

h3 {
    font-size: 1.4rem;
}

h4 {
    font-size: 1.2rem;
}

li,
p {
    font-size: 1rem;
}

a,
a:link,
a:visited {
    color:#000;
}

a:hover,
a:focus {
     color:#666;
}

p:empty,
h1:empty,
h2:empty,
h3:empty,
h4:empty,
h5:empty,
h6:empty {
    display: none;
}

@media all and (max-width:640px){
    
    h1 {
        font-size: 1.6rem;
    }

    h2 {
        font-size: 1.4rem;
    }

    h3 {
        font-size: 1.2rem;
    }

    h4 {
        font-size: 1rem;
    }

    
}

/* ---------- Misc Classes ---------- */

.icon {
    display: block;
    width: 2em;
    height: 2em;
    margin: 0 auto;
    fill: #000;
}

.hidden {
    position: absolute;
    overflow: hidden;
    width: 0;
    height: 0;
    pointer-events: none;
}

.screen-reader-text {
    border: 0;
    clip: rect(1px, 1px, 1px, 1px);
    -webkit-clip-path: inset(50%);
    clip-path: inset(50%);
    height: 1px;
    margin: -1px;
    overflow: hidden;
    padding: 0;
    position: absolute;
    width: 1px;
    word-wrap: normal !important;
}

/* ----- contact form 7 ---- */

.wpcf7-text {
    border: 1px solid black;
    outline: 0;
    margin: 0 5px;
    font-family: var(--font-family);
    padding: 1rem;
}

.wpcf7-submit {
    border: 0;
    outline: 0;
    background: #000;
    color: #fff;
    margin: 0 5px;
    font-family: var(--font-family);
    padding: 1rem;
}

.wpcf7-response-output {
    font-size: 2rem;
    font-weight: 700;
    padding: 2rem;
    border: 0 !important;
}


